@font-face {
    font-family: 'Poppins';
    src: url('./fonts/Poppins/Poppins-Italic.ttf') format('truetype');
    font-weight: 100;
    font-style: normal;
}

@font-face {
    font-family: 'Poppins';
    src: url('./fonts/Poppins/Poppins-ExtraLight.ttf') format('truetype');
    font-weight: 200;
    font-style: normal;
}

@font-face {
    font-family: 'Poppins';
    src: url('./fonts/Poppins/Poppins-Light.ttf') format('truetype');
    font-weight: 300;
    font-style: normal;
}

@font-face {
    font-family: 'Poppins';
    src: url('./fonts/Poppins/Poppins-Regular.ttf') format('truetype');
    font-weight: 400;
    font-style: normal;
}

@font-face {
    font-family: 'Poppins';
    src: url('./fonts/Poppins/Poppins-SemiBold.ttf') format('truetype');
    font-weight: 600;
    font-style: normal;
}

@font-face {
    font-family: 'Poppins';
    src: url('./fonts/Poppins/Poppins-Bold.ttf') format('truetype');
    font-weight: 700;
    font-style: normal;
}

@font-face {
    font-family: 'Poppins';
    src: url('./fonts/Poppins/Poppins-ExtraBold.ttf') format('truetype');
    font-weight: 800;
    font-style: normal;
}



/* General */
* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    text-decoration: none;
    border: none; 
    outline: none;
    scroll-behavior: smooth;
    font-family: 'Poppins', sans-serif;
}

/* Colors Variables */
:root {
    --bg-color: hsl(240, 3%, 12%);
    --second-bg-color: hsl(0, 0%, 9%);
    --third-bg-color: hsl(240, 4%, 16%);
    --text-color: hsl(0, 0%, 93%);  
    --second-text-color:  hsla(240, 10%, 66%, 0.506);
    --main-color: hsl(181, 93%, 47%);
}

html {
    font-size: 62.5%;
    overflow-x: hidden;
}

/* Body */
body {
    background: var(--bg-color);
    color: var(--text-color);
    overflow-x: hidden;
    font-family: 'Poppins', sans-serif;
    font-display: swap;
}


/* HEADER SECTION DESIGN */
.header {
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    padding: 2rem 7%;
    background: transparent;
    display: flex;
    justify-content: space-between;
    align-items: center;
    z-index: 100;
    transition: .5s;
}

/* //scroll sections //sticky header */
.header.sticky {
    background: var(--second-bg-color);
    box-shadow: 0 .5rem 1rem #000001;
}

/* Logo Header */
.header_Logo {
    font-size: 2.2rem;
    color:var(--main-color);
    font-weight: 600;
}

/* Elementos de Nav-Bar */
.nav_Bar a {
    font-size: 1.4rem;
    color: var(--second-text-color);
    text-decoration: none; 
    font-weight: 600;
    margin-left: 3.5rem;
    transition: .3s;
}

.nav_Bar a:hover,
.nav_Bar a.active {
    color: var(--main-color);
}

/* Menu Icon (header) */
#menu_Icon {
    width: 4.2rem;
    color: var(--main-color);
    cursor: pointer;
    display: none;
}


/* HOME SECTION DESIGN */
section {
    min-height: 100vh;
    padding: 10rem 9% 2rem;
}

/* Home - Section*/
.home {
    display: flex;
    justify-content: center;
    align-items: center;
    padding: 0 7%;
    background: transparent;
    background-size: cover;
    background-position: center;
}

/* Contenido de Home - Section */
.home_Content {
    display: flex;
    flex-direction: column;
    justify-content: center;
    max-width: 60rem;
    z-index: 99;
}

/* H1 del Contenido del Home */
.home_Content h1 {
    display: flex;
    justify-content: center;
    font-size: 4.6rem;
    font-weight: 700;
    line-height: 1.2;
}

.home_Content :nth-child(1) {
    color: var(--main-color);
}
    

/* Text Animate (section)*/
.home_Content .text_Animate {
    position: relative;
}

/* H3 del Contenido del Home */
.home_Content .text_Animate #text_Stroke {
    display: flex;
    justify-content: center;
    margin-top: 1rem;
    font-size: 2.8rem;
    font-weight:  700;
    color: transparent;
    -webkit-text-stroke: .7px var(--main-color);
    letter-spacing: .2rem;
}


/* P del Contenido del Home */
.home_Content p {
    display: flex;
    justify-content: center;
    font-size: 1.6rem;
    margin: 1rem 0 2rem; 
}

/* Caja de los Botones */
.btn_Box {
    position: relative;
    display: flex;
    justify-content: space-between;
    width: 34rem;
    height: 5rem;
}

/* Botones de Section */
.btn_Box .btn {
    position: relative;
    display: inline-flex; 
    justify-content: center;
    align-items: center; 
    width: 15rem;
    height: 100%;
    background: var(--main-color);
    border: .2rem solid var(--main-color);
    border-radius: .8rem;
    font-size: 1.8rem;
    font-weight: 600;
    letter-spacing: .1rem;
    color: var(--bg-color);
    z-index: 1;
    overflow: hidden;
    transition: .5s;
}

.btn_Box .btn:hover {
    color: var(--main-color);
}

.btn_Box .btn:nth-child(2) {
    background: transparent;
    color: var(--main-color); 
}

.btn_Box .btn:nth-child(2):hover {
    color: var(--bg-color);
}

.btn_Box .btn:nth-child(2)::before {
    background: var(--main-color);
}

.btn_Box .btn::before {
    content: '';
    position: absolute;
    top: 0;
    left: 0;
    width: 0;
    height: 100%;
    background: var(--bg-color);
    z-index: -1;
    transition: .5s;
}

.btn_Box .btn:hover::before {
    width: 100%;
}

/* Caja de Botones de Socials*/
.home_Socials {
    display: flex;
    justify-content: space-between;
    position: absolute;
    bottom: 4rem;
    width: 170px; 
}

.home_Socials a {
    position: relative;
    display: inline-flex;
    justify-content: center;
    align-items: center; 
    width: 40px;
    height: 40px;
    background: transparent;
    border: .2rem solid var(--main-color );
    border-radius: 50%;
    z-index: 1;
    overflow: hidden;
    transition: .5s;
}

.home_Socials a:hover {
    color: var(--bg-color);
}

.home_Socials img {
    display: flex; 
    justify-items: center; 
    align-items: center;
    width: 2.6rem;
}

.home_Socials a::before {
    content: '';
    position: absolute;
    top: 0;
    left: 0;
    width: 0;
    height: 100%;
    background: var(--main-color);
    z-index: -1;
    transition: .5s; 
}

.home_Socials a:hover::before {
    width: 100%;
}


/* TITLES */
.heading {
    font-size: 3.6rem;
    margin-bottom: 6rem;
    text-align: center;
    font-weight: 700;
}

span {
    color: var(--main-color);
}

/* ABOUT SECTION DESIGN */
.about {
    display: flex;
    justify-content: center;
    align-items: center;
    flex-direction: column;
    gap: 1rem;
    color: var(--text-color);
    padding-bottom: 6rem;
}

.about h2 {
    margin-bottom: 8rem;
}

/* About Image */
.about_Image {
    position: relative;
    width: 30rem;
    height: 30rem;
    margin-bottom: 8rem;
    border-radius: 50%;
    display: flex;
    justify-content: center;
    align-items: center;
}

.about_Image img {
    width: 100%;
}

/* Content About Me */
.about_Content {
    text-align: center;
}

.about_Content h3 {
    font-size: 2.6rem;
    font-weight: 700;
}

.about_Content p {
    font-size: 1.6rem;
    margin: 2rem 0 3rem;
}

.btn_Box.buttons {
    display: inline-block;
    width: 15rem;
}

.btn_Box.buttons a::before {
    background: var(--bg-color);    
}

.btn_Box.buttons a:hover {
    color: var(--main-color);
}

/* PROJECTS SECTION DESIGN */
.projects {
    margin-bottom: 4rem;
    padding-bottom: 10rem;  
}

.projects h2 {
    margin-bottom: 12rem;
}

.projects_Row {
    display: flex;
    height: 100%;
    overflow-x: auto;
    overscroll-behavior-inline: contain;
}

.projects_Row::-webkit-scrollbar{
    width: 1rem;
    background: var(--third-bg-color);
}

.projects_Row::-webkit-scrollbar-thumb {
    background: var(--main-color);
}

.projects_Box{
     display: flex;
     height: 100%;
     gap: 7rem;
 }

.projects_Box .projects_Content{
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    width: 280px;
    height: 600px;
    border-color: var(--main-color);
}

.projects_Content h3 {
    color: var(--main-color);
    font-weight: 600;
    font-size: 1.6rem;
    margin-top: 2rem;
    margin-bottom: 4rem;
}

.projects_Content img{
    cursor: pointer;  
    width: 100%;
    filter: opacity(.6) brightness(103%);
}

.projects_Content img:hover {
    filter: saturate(80%);
    transition: 3s ease-in-out;  
}

.devTools_Container {
    display: flex;
    margin-top: 2.8rem;
    margin-bottom: 10rem;
    margin-left: 0;
    gap: .5rem;
}

.devTools_Container img {
    position: relative;
    display: inline-flex;
    align-items: center; 
    width: 30px;
    height: 30px;
    background: transparent;
    border: .2rem solid var(--second-text-color);
    border-radius: 50%;
    font-size: 20px;
    overflow: hidden;
    filter: grayscale(80%) opacity(.6) contrast(175%) brightness(103%);
}

/* SKILLS SECTION DESIGN */
.skills {
    min-height: auto;
    padding-bottom: 10rem;
    background: transparent;
    background-size: cover;
    background-position: center;
}

.skills h2 {
    margin-bottom: 8rem;
}

.skills_Row .title {
    display: flex;
    font-size: 2.6rem;
    margin-bottom: 8rem;
    margin-left: 2rem;
    letter-spacing: .1rem;
}

.skills_Row .skills_Column {
    display: flex;
    justify-content: center;
    align-items: center;
}

.skills_Box {
    display: grid;
    grid-template-columns: repeat(4, 1fr);
    justify-content: center;
    align-items: center;
    gap: 2rem;
}

.skills_Content {
    display: flex;
    justify-content: center;
    align-items: center;
    width: 12rem;
    height: 12rem;
    border: .1rem solid var(--second-text-color);
    border-radius: .6rem;
}

.skills_Content img{
    display: flex; 
    justify-items: center; 
    align-items: center;
    cursor: pointer;  
    height: 9rem;
    width: 9rem;
    filter: grayscale(80%) opacity(.6) contrast(175%) brightness(103%);
}

.skills_Content img:hover {
    filter: saturate(90%);
    transition: 3s ease-in-out;  
}

/* EDUCATION SECTION DESIGN */
.education {
    padding-bottom: 6rem;
    height: fit-content;
}

.education h2 {
    margin-bottom: 10rem;
}

.education_Row {
    display: flex;
    height: 100%;
    overflow-x: auto;
    overscroll-behavior-inline: contain;
}

.education_Row::-webkit-scrollbar {
    width: 1rem;
    background: var(--third-bg-color);
}

.education_Row::-webkit-scrollbar-thumb {
    background: var(--main-color);
}

.education .title {
    font-size: 2.6rem;
    color: var(--text-color);
    margin: 0 0 1.5rem 2rem;
    letter-spacing: .1rem;
    margin-bottom: 4rem;
}

.education_Box{
    display: flex;
    height: 100%;
    gap:3rem;
}

.education_Box .education_Content{
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    width: 280px;
    height: 100%;
    margin-bottom: 3rem;
}

.education_Content .content {
    position: relative;
    padding: 1.5rem;
    border: .1rem solid var(--main-color);
    border-radius: .6rem;
    margin-bottom: 10rem;
    overflow: hidden;
    background: var(--second-bg-color);
    filter: opacity(.6) contrast(175%) brightness(103%);
}

.education .content:hover {
    filter: saturate(80%) contrast(145%);   
}

.education_Content .content .year {
    font-size: 1.3rem;
    padding-bottom: .5rem;    
}

.education_Content .content .year i {
    padding-right: .5rem;
}

.education_Content .content h3 {
    color: var(--main-color);
    font-size: 1.6rem;
    font-weight: 600;
}

.education_Content .content p {
    font-size: 1.4rem;
    font-weight: 300;
}

/* CONTACT SECTION DESIGN */
.contact {
    min-height: auto;
    margin-top: -10rem;
}

.contact form {
    max-width: 70rem;
    margin: 0 auto;
    text-align: center;
}

.contact h2{
    margin-bottom: 8rem;
}

.contact form .input_Box {
    position: relative;
    display: flex;
    justify-content: space-between;
    flex-wrap: wrap;
}

.contact form .input_Box .input_Field {
    position: relative;
    width: 49%;
    margin: .8rem 0;
}

.contact form .input_Box .input_Field input, 
.contact form .textarea_Field textarea {
    width: 100%;
    height: 100%;
    padding: 1.5rem;
    font-size: 1.4rem;
    color: var(--text-color);
    background: var(--third-bg-color);
    border-radius: .6rem;
    border: .1rem solid var(--second-text-color);
}

.contact form .input_Box .input_Field input::placeholder, 
.contact form .textarea_Field textarea::placeholder {
    color: var(--second-text-color);
}

.contact form .textarea_Field {
    position: relative;
    margin: .8rem 0 2.7rem;
    display: flex;
}

.contact form .textarea_Field textarea {
    resize: none;
}

.contact form .btn_Box.buttons .btn {
    margin-top: 2rem;
    cursor: pointer;
}


/* FOOTER DESIGN */
.footer {
    display: flex;
    justify-content: space-between;
    align-items: center;
    color: var(--text-color);
    flex-wrap: wrap;
    padding: 2rem 9%;
    background: var(--bg-color);
}

.footer .footer_Text a {
    font-size: 1.2rem;
    letter-spacing: .1rem;
    color: var(--main-color)

}

.footer_BtnToTop a {
    position: relative;
    display: inline-flex;
    justify-content: center;
    align-items: center; 
    width: 40px;
    height: 40px;
    background: transparent;
    border: .2rem solid var(--main-color );
    border-radius: 50%;
    font-size: 20px;
    color: var(--main-color);
    z-index: 1;
    overflow: hidden;
    transition: .5s;
}

.footer_BtnToTop img {
    display: flex; 
    justify-items: center; 
    align-items: center;
    width: 2.6rem;
    border-radius: 50%;
}

.footer_BtnToTop a:hover {
    color: var(--bg-color);
}

.footer_BtnToTop a::before {
    content: '';
    position: absolute;
    top: 0;
    left: 0;
    width: 0;
    height: 100%;
    background: var(--main-color);
    z-index: -1;
    transition: .5s; 
}

.footer_Text p:nth-child(1) {
    font-size: 1.2rem;
}
.footer_BtnToTop a:hover::before {
    width: 100%;
}


/* RESPONSIVE DESIGN */
@media (max-width: 1200px) {
    html {
        font-size: 55%;
    }
    .home {
        background-size: cover;
        background-position: center;
    }
    .home_ImageHover {
        display: none;
    }
    .skills_Row .title {
        margin-left: 2rem;
    }
}

@media (max-width: 994px) {
    .header {
        padding: 2rem 4%;
    }
    .home {
        background-size: cover;
        background-position: center;
    }

    .home_ImageHover {
        display: none;
    }

    section {
        padding: 10rem 4% 2rem;
    }

    .skills_Row .title {
        margin-left: 2rem;
    }

    .skills_Box{
        display: grid;
        grid-template-columns: repeat(3, 1fr);
        justify-content: center;
        align-items: center;
        gap: 2rem;
    }

    .footer {
        padding: 2rem 4%;
    }
}

@media (max-width: 768px) {
    .header {
        background: var(--bg-color);
    }

    .home {
        background-size: cover;
        background-position: center;
    }

    #menu_Icon {
        display: block;
    }

    .nav_Bar {
        position: absolute;
        top: 100%;
        left: -100%;/*2*/
        width: 100%;
        padding: 1rem 4%;
        background: var(--bg-color);
        box-shadow: 0 .5rem 1rem var(--main-color);
        transition: .25s ease; /*3*/
        transition-delay: .25s; /*4*/
    }

    .nav_Bar.active {
        left: 0; /*1*/
        transition-delay: 0s;
    }

    .nav_Bar a {
        display: block;
        font-size: 2rem;
        margin: 3rem 0;
    }

    .footer_BtnToTop a {
        margin-top: 2rem;
        position: relative;
    }
}

@media (max-width: 540px) {
    html {
        font-size: 50%;
    }

    .home {
        background-size: cover;
        background-position: center;
    }

    .home_Socials {
        width: 160px;
    }

    .home_Socials a {
        width: 38px;
        height: 38px;
    }
    .contact {
        padding-top: 0;
    }
}

@media (max-width: 462px) {
    .home {
        justify-content: center;
        background-size: cover;
        background-position: center;
    }

    .home_Content {
        display: flex;
        align-items: center;
        flex-direction: column;
        text-align: center;
        margin-top: -4rem;
    }

    .home_Content p {
        text-align: justify;
        margin-top: 2rem;
    }

    .home_Content h1 {
        font-size: 5.2rem;
    }

    .home_Content h1::first-line {
        color: var(--main-color);
    }
    
    .home_Content .btn_Box {
        margin-top: 2rem;
    }

    .projects {
        margin-bottom: 4rem;
    }

    .projects_Box .projects_Content{
        height: 600px;
    }

    .about {
        margin-left: 2rem;
    }

    .education {
        height: fit-content;
        padding: 10rem 4% 0 5%;
        padding-bottom: none;
    }

    .skills_Row .title {
        margin-left: 2rem;
    }

    .skills_Box{
        display: grid;
        grid-template-columns: repeat(3, 1fr);
        justify-content: center;
        align-items: center;
        gap: 2rem;
    }

    .contact {
        margin-top: -2rem;
    }

    .contact form {
        margin: 1rem;
    }

    .contact form .input_Box .input_Field   {
        width: 100%;
    }
    .footer {
        flex-direction: column-reverse;
    }

    .footer .footer_Text {
        margin-top: 3rem;
        text-align: center;
    }
}

@media (max-width: 372px) {
    .home {
        justify-content: center;
    }

    .home_Content {
        display: flex;
        align-items: center;
        flex-direction: column;
        text-align: center;
    }

    .home_Content p {
        text-align: justify;
    }

    .home_Content h1::first-line {
        color: var(--main-color);
    }

    .devTools_Container {
        margin-bottom: 4rem;
    }

    .contact {
        padding-top: 0;
    }

    .footer_Text {
        text-align: center;
    }
}
